Explorar o código

test/integration/test-apt-update-file: improve test

Michael Vogt %!s(int64=11) %!d(string=hai) anos
pai
achega
8b45196275

+ 2 - 0
test/integration/test-apt-update-file

@@ -29,6 +29,8 @@ aptget update -qq -o Debug::pkgAcquire::Auth=1 2> output.log
 canary="SHA512:$(bzcat aptarchive/dists/unstable/main/binary-amd64/Packages.bz2 | sha512sum |cut -f1 -d' ')"
 grep -q "RecivedHash: $canary" output.log
 
+# foo is still available
+testsuccess aptget install -s foo
 
 # the cleanup should still work
 chmod 750 aptarchive/dists/unstable/main/binary-amd64

+ 15 - 0
test/integration/test-bug-762160-relpath

@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+# dpkg implements versioned provides in commit 5bb02fe80e9f40dcad9703a72f67cf615ff217b5
+# but previous versions seem to allow parsing, working and ignoring it.
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'foo' 'all' '1'
+setupaptarchive
+
+aptget update -o Dir=./apt